> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves statistics about the most common client requests within a specified date range.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json get /phone-calls/stats/requests
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /phone-calls/stats/requests:
    get:
      tags:
        - PhoneCall
      summary: >-
        Retrieves statistics about the most common client requests within a
        specified date range.
      parameters:
        - name: after
          in: query
          description: The start date for the statistics period.
          schema:
            type: string
            format: date-time
        - name: before
          in: query
          description: The end date for the statistics period.
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Successfully retrieved request statistics.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PhoneCallSummaryStat'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PhoneCallSummaryStat'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PhoneCallSummaryStat'
components:
  schemas:
    PhoneCallSummaryStat:
      type: object
      properties:
        content:
          type: string
          nullable: true
        count:
          type: integer
          format: int32
      additionalProperties: false

````